# Generated from cells-4.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cells

Name: rubygem-%{gem_name}
Version: 4.1.7
Release: 1%{?dist}
Summary: View Models for Ruby and Rails
License: MIT
URL: https://github.com/apotonick/cells
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(cells-erb) >= 0.0.4
BuildArch: noarch

%description
View Models for Ruby and Rails, replacing helpers and partials while giving
you a clean view architecture with proper encapsulation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CHANGES.md
%{gem_instdir}/TODO.md
%{gem_instdir}/benchmarks
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cells.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 4.1.7-1
- Initial package
